Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.wss.operation
Class DoServiceResponse

    java.lang.Object
      org.deegree.ogcwebservices.wass.wss.operation.DoServiceResponse

    public class DoServiceResponse

extends Object

A `DoServiceResponse` class encapsulates all the relevant data a hiddenservice responded to the clients DoService request, which was forwarded by this wss - proxy.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`DoServiceResponse(org.apache.commons.httpclient.Header[] headers, InputStream responseBody, org.apache.commons.httpclient.Header[] footers)`

Method Summary
`org.apache.commons.httpclient.Header[]` | `getFooters()`
`org.apache.commons.httpclient.Header[]` | `getHeaders()`
`InputStream` | `getResponseBody()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoServiceResponse

    public DoServiceResponse(org.apache.commons.httpclient.Header[] headers,
                             InputStream responseBody,
                             org.apache.commons.httpclient.Header[] footers)

Parameters:
  `headers` -
  `footers` -
  `responseBody` -

Method Detail

### getFooters

    public org.apache.commons.httpclient.Header[] getFooters()

  Returns:
    Returns the footers.

### getHeaders

    public org.apache.commons.httpclient.Header[] getHeaders()

  Returns:
    Returns the headers.

### getResponseBody

    public InputStream getResponseBody()

  Returns:
    Returns the responseBody.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org